Bug 61944 - skipjack beta1 pppd causes freeze or reboot
Summary: skipjack beta1 pppd causes freeze or reboot
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Public Beta
Classification: Retired
Component: kernel   
(Show other bugs)
Version: skipjack-beta1
Hardware: athlon
OS: Linux
medium
high
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Aaron Brown
URL:
Whiteboard:
Keywords:
: 61969 62032 (view as bug list)
Depends On:
Blocks: 61590
TreeView+ depends on / blocked
 
Reported: 2002-03-26 03:24 UTC by Bruce Sherry
Modified: 2007-04-18 16:41 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-04-11 22:58:26 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Bruce Sherry 2002-03-26 03:24:46 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows 98)

Description of problem:
When attempting to connect to the internet via kppp, the modem connects but 
when the pppd is started the following messages are logged in /var/log/messages 
and either the system hangs, reboots, or a dialog appears stating that kppd 
died:

Mar 25 19:33:03 localhost modprobe: modprobe: Can't locate module ppp0
Mar 25 19:33:03 localhost last message repeated 4 times
Mar 25 19:33:03 localhost kernel: CSLIP: code copyright 1989 Regents of the 
University of California
Mar 25 19:33:03 localhost modprobe: modprobe: Can't locate module ppp0
Mar 25 19:33:03 localhost kernel: PPP generic driver version 2.4.1
Mar 25 19:33:03 localhost modprobe: modprobe: Can't locate module ppp0
Mar 25 19:33:03 localhost pppd[2415]: pppd 2.4.1 started by root, uid 0
Mar 25 19:33:03 localhost modprobe: modprobe: Can't locate module ppp0
Mar 25 19:33:03 localhost modprobe: modprobe: Can't locate module ppp0
Mar 25 19:33:04 localhost pppd[2415]: Using interface ppp0
Mar 25 19:33:04 localhost pppd[2415]: Connect: ppp0 <--> /dev/ttyS4
Mar 25 19:33:04 localhost /etc/hotplug/net.agent: assuming ppp0 is already up
Mar 25 19:33:24 localhost pppd[2415]: Hangup (SIGHUP)

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.start kppp
2.connect to dialup provider
3.
	

Additional info:

Gigabyte GA-7VTXE mobo
Athlon 1000
Matrox 4Meg
US Rob 56K modem

Comment 1 Bruce Sherry 2002-03-26 14:00:17 UTC
There is a typo in the Description, "kppd 
died" should read "pppd died".  Sorry.

Also noticed that others have seen kernel paging messages.  See 61969.  
-Bruce



Comment 2 Max Gutberlet 2002-03-27 08:00:27 UTC
Looks to be a problem connected to the low-latency patch.
Compiled withe the 2.4.18-0.4custom sources from cd - with
patch enable -> autmatic reboot, without patch enable -> works fine

Vanilla 2.4.18 (from kernel.org) works fine.


Comment 3 safedin kajosaj 2002-03-28 16:26:48 UTC
*** Bug 62032 has been marked as a duplicate of this bug. ***

Comment 4 safedin kajosaj 2002-03-28 16:28:24 UTC
*** Bug 62032 has been marked as a duplicate of this bug. ***

Comment 5 Arjan van de Ven 2002-04-09 12:33:38 UTC
Have you tried 2.4.18-0.16 or later ?

Comment 6 safedin kajosaj 2002-04-09 15:00:15 UTC
NO. But I will tonight. any 'major' changes? in .16?

Comment 7 Arjan van de Ven 2002-04-09 15:01:58 UTC
lots of bugfixes

Comment 8 safedin kajosaj 2002-04-10 00:19:05 UTC
I tried .13 and now .18, and all is well now.
I get this message:
Apr  9 20:12:37 localhost modprobe: modprobe: Can't locate module ppp0
Apr  9 20:12:37 localhost modprobe: modprobe: Can't locate module ppp0
Apr  9 20:12:37 localhost pppd[12057]: pppd 2.4.1 started by root, uid 0
Apr  9 20:12:37 localhost pppd[12057]: Using interface ppp0
Apr  9 20:12:37 localhost pppd[12057]: Connect: ppp0 <--> /dev/ttyS4
Apr  9 20:12:37 localhost /etc/hotplug/net.agent: assuming ppp0 is already up
Apr  9 20:12:41 localhost pppd[12057]: Remote message: Login Succeeded
Apr  9 20:12:41 localhost modprobe: modprobe: Can't locate module ppp-compress-21
Apr  9 20:12:41 localhost modprobe: modprobe: Can't locate module ppp-compress-21
Everything works, what is all this nonsense about can't find the module

Comment 9 Bruce Sherry 2002-04-10 01:49:38 UTC
I haven't had a chance to try skipjack beta2.  I will try to in the next couple 
of days.  



Comment 10 Bruce Sherry 2002-04-11 22:58:21 UTC
Installed Skipjack Beta2.  Works OK for me now.  Thanks.

Comment 11 Jeremy Katz 2002-04-12 02:24:59 UTC
Since it works now, marking this bug as fixed in rawhide

Comment 12 Jeremy Katz 2002-04-12 02:26:09 UTC
*** Bug 61969 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.